# Real Estate ERP System

Welcome to the Real Estate ERP System. This ERP provides a complete management solution for real estate companies, including modules for CRM, sales, project management, accounting, and more.

---

## **1. Installation Instructions**

### **Step 1: Upload Files**
- Upload the `realestate_erp` folder to your web server's root directory (e.g., `public_html` or `htdocs`).

### **Step 2: Set Up the Database**
1. Create a new MySQL database on your server.
2. Import the SQL file `setup/db_schema.sql` into your database.

### **Step 3: Run the Installer**
1. Open your browser and navigate to:  
   `http://yourdomain.com/setup/install.php`
2. Enter your database credentials:
   - Database Host: `localhost`  
   - Database Name: `your_database_name`  
   - Username: `your_db_user`  
   - Password: `your_db_password`  
3. Complete the installation.

### **Step 4: Admin Login**
After installation, use the following default credentials to log in:

- **URL**: `http://yourdomain.com/auth/login.php`  
- **Username**: `Admin`  
- **Password**: `Read@183asd`

---

## **2. Features**

1. **Dashboard**:  
   - View overall system summary and analytics.

2. **CRM Module**:  
   - Manage customer leads with name, email, phone, and status.

3. **Sales Module**:  
   - Track sales records, including customers, products, and amounts.

4. **Project Management**:  
   - Manage ongoing and completed projects with descriptions and statuses.

5. **Accounting Module**:  
   - Manage income, expenses, and generate financial summaries.

6. **User Management**:  
   - Add, edit, and delete users with role-based access control.

7. **GPS Tracking**:  
   - Track employees' live locations using latitude and longitude.

8. **Social Media Integration**:  
   - Integrate with Facebook and LinkedIn to generate leads.

9. **Plugin Support**:  
   - Add or remove additional plugins to extend the ERP functionality.

10. **Customizable Themes**:  
    - Update logos and color schemes dynamically from the settings.

---

## **3. Folder Structure**

```plaintext
realestate_erp/
├── setup/                   # Installation and database setup
├── config/                  # Database configuration
├── auth/                    # Authentication (login/logout)
├── admin/                   # Admin panel modules
├── core/                    # Core loaders
├── modules/                 # Custom modules
├── plugins/                 # Plugins system
├── public/                  # Static assets (CSS, JS, uploads)
├── templates/               # Header, footer, sidebar templates
└── README.md                # Documentation
